### Method

# Soup Cookie domain_matches

#### Declaration [src]

    gboolean
    soup_cookie_domain_matches (
      SoupCookie* cookie,
      const char* host
    )

#### Description [src]

Checks if the `cookie`‘s domain and `host` match.

The domains match if `cookie` should be sent when making a request to `host`, or that `cookie` should be accepted when receiving a response from `host`.

#### Parameters

`host`

  Type: `const char*`

  A URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the domains match, `FALSE` otherwise.